"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = DocsVersionNavbarItem;

var _react = _interopRequireDefault(require("react"));

var _DefaultNavbarItem = _interopRequireDefault(require("@theme/NavbarItem/DefaultNavbarItem"));

var _useDocs = require("@theme/hooks/useDocs");

var _themeCommon = require("@docusaurus/theme-common");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
const getVersionMainDoc = version => version.docs.find(doc => doc.id === version.mainDocId);

function DocsVersionNavbarItem({
  label: staticLabel,
  to: staticTo,
  docsPluginId,
  ...props
}) {
  var _ref;

  const activeVersion = (0, _useDocs.useActiveVersion)(docsPluginId);
  const {
    preferredVersion
  } = (0, _themeCommon.useDocsPreferredVersion)(docsPluginId);
  const latestVersion = (0, _useDocs.useLatestVersion)(docsPluginId);
  const version = (_ref = activeVersion !== null && activeVersion !== void 0 ? activeVersion : preferredVersion) !== null && _ref !== void 0 ? _ref : latestVersion;
  const label = staticLabel !== null && staticLabel !== void 0 ? staticLabel : version.label;
  const path = staticTo !== null && staticTo !== void 0 ? staticTo : getVersionMainDoc(version).path;
  return <_DefaultNavbarItem.default {...props} label={label} to={path} />;
}